For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
      • GETretrieve all speech credentials for an account
      • POSTadd a speech credential
      • GETget a specific speech credential
      • PUTupdate a speech credential
      • DELdelete a speech credential
      • GETget supported languages, voices and models
      • GETtest a speech credential
      • POSTget TTS from provider
      • GETlist google custom voices
      • POSTcreate a Google custom voice
      • GETretrieve google custom voice
      • PUTupdate google custom voice
      • DELdelete a google custom voice
      • POSTcreate a speech credential for a service provider
      • GETget a specific speech credential
      • PUTupdate a speech credential
      • DELdelete a speech credential
      • GETget supported languages, voices and models
      • GETtest a speech credential
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Platform ManagementSpeech

update google custom voice

PUT
https://api.jambonz.cloud/v1/GoogleCustomVoices/:GoogleCustomVoiceSid
PUT
/v1/GoogleCustomVoices/:GoogleCustomVoiceSid
$curl -X PUT https://api.jambonz.cloud/v1/GoogleCustomVoices/GoogleCustomVoiceSid \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "speech_credential_sid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
> "name": "Sally",
> "reported_usage": "REALTIME",
> "model": "projects/12412312/locations/global/models/2134124123-2dbf-43be-9593-12314123"
>}'
1{}
Was this page helpful?
Previous

delete a google custom voice

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

GoogleCustomVoiceSidstringRequired

Request

This endpoint expects an object.
speech_credential_sidstringRequired
namestringRequired
reported_usagestringRequired
modelstringRequired

Response

google custom voice updated

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error